char %char = string n + res ->
  - chars-in string (
                      char i ->
                                if (i = n) -> res = char; leave
                                else iterate
                    )
;